plugin.plugin_configuration.basex_facet_widget.options:
  type: mapping
  label: 'Basex facet options widget settings'
  mapping:
    key_tag_name:
      type: string
      label: 'Key tag name'
    label_tag_name:
      type: string
      label: 'Label tag name'
    element_type:
      type: string
      label: 'Element type'
    select_all_label:
      type: label
      label: 'Select all label'
    is_multiple:
      type: boolean
      label: 'Is multiple'
    is_collapsible:
      type: boolean
      label: 'Is collapsible'
    is_bordered:
      type: boolean
      label: 'Is bordered'
    always_display:
      type: boolean
      label: 'Always display'
    lifespan_width:
      type: string
      label: 'Lifespan Field width'
    lifespan_is_multiple:
      type: boolean
      label: 'Can the user select multiple lifespan?'
    monarch_reign_width:
      type: string
      label: 'Monarch Field width'
    monarch_reign_is_multiple:
      type: boolean
      label: 'Can the user select multiple monarch reigns?'
